import { Routes } from '@angular/router';
import { RecipeComponent } from './recipe/recipe.component';
import { RecipeListComponent } from './recipe-list/recipe-list.component';
import { HomeComponent } from './home/home.component';
import { RecipeAddComponent } from './recipe-add/recipe-add.component';
import { IngredientListComponent } from './ingredient-list/ingredient-list.component';
import { IngredientEditComponent } from './ingredient-edit/ingredient-edit.component';
import { IngredientAddComponent } from './ingredient-add/ingredient-add.component';

export const routes: Routes = [
  { path: 'add', component: RecipeAddComponent },
  { path: 'recipe/:id', component: RecipeComponent },
  { path: 'list', component: RecipeListComponent },
  { path: 'ingredients', component: IngredientListComponent },
  { path: 'ingredient/add', component: IngredientAddComponent },
  { path: 'ingredient/:id/edit', component: IngredientEditComponent },
  { path: '', component: HomeComponent },
  { path: '**', redirectTo: '' },
];
export class AppRoutingModule {}
